Subject: Re: bug#4654: 23.1; Elisp manual doc of abbreviate-file-name

From: Stefan Monnier <[email-masked]>
Date: Wed, 07 Oct 2009 01:47:29 -0400

> ~/foo/ tells you that foo is directly under the home directory.

Actually, you can see right there: "~/foo" is longer than "/foo", so it
would be wrong for abbreviate-file-name to do such a replacement, since
it wouldn't abbreviate.

> it's not a toss-up, since the _purpose_ of the function is to use ~.

No it's not.  The purpose is to abbreviate, i.e. make shorter.

> Anyway, this bug report is about the doc - please clear that up.

Patch welcome.  I myself have no idea what wording would please you
better, and the current wording is crystal clear to my mind.

        Stefan